#if defined _gifts_included
  #endinput
#endif
#define _gifts_included

enum GiftConditions
{
	Condition_None = 0,
	Condition_InCondition,
	Condition_InConditionCanPickUp
}

/**
 * Registers a listener with the gifts plugin.
 *
 * @param functionName  Name of the listener function.
 * @return        True if plugin was successfully registered.
 */
native Gifts_RegisterPlugin(String:functionName[]);
native Gifts_RemovePlugin();
native Gifts_SetClientCondition(client, GiftConditions:clientState);
native Gifts_GetClientCondition(client);
